- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
pdftron::PDF::PDFUA::PDFUAConformance Class Reference

`#include <PDFUAConformance.h>`

## Public Types
enum | Level { e_UA_Level1 = 0 }

## Public Member Functions
| PDFUAConformance ()
| PDFUAConformance (const PDFUAConformance &other)
PDFUAConformance & | operator= (const PDFUAConformance &other)
| ~PDFUAConformance ()
void | Destroy ()
void | AutoConvert (const UString &src_file, const UString &dest_file)
void | AutoConvert (const UString &src_file, const UString &dest_file, const PDFUAOptions &options)
ptrdiff_t | GetHandleInternal ()
| PDFUAConformance (TRN_PDFUAConformance impl)

## Static Public Member Functions
static PDFUAConformance * | CreateInternal (ptrdiff_t impl)

## Public Attributes
TRN_PDFUAConformance | m_impl

## Detailed Description

The class PDFUAConformance. PDFUAConformance class is used to process PDF documents for PDF/UA (ISO 14289-1) compliance, including converting existing PDF files to PDF/UA compliant documents.

Note: This feature is currently experimental and subject to change.

Definition at line 26 of file PDFUAConformance.h.

## Member Enumeration Documentation

enum pdftron::PDF::PDFUA::PDFUAConformance::Level

Enumerator
e_UA_Level1 |

Definition at line 29 of file PDFUAConformance.h.

## Constructor & Destructor Documentation

pdftron::PDF::PDFUA::PDFUAConformance::PDFUAConformance | ( |  | ) |

pdftron::PDF::PDFUA::PDFUAConformance::PDFUAConformance | ( | const PDFUAConformance & | other | ) |

pdftron::PDF::PDFUA::PDFUAConformance::~PDFUAConformance | ( |  | ) |

pdftron::PDF::PDFUA::PDFUAConformance::PDFUAConformance | ( | TRN_PDFUAConformance | impl | ) |

## Member Function Documentation

void pdftron::PDF::PDFUA::PDFUAConformance::AutoConvert | ( | const UString & | src_file,
|  | const UString & | dest_file
| ) |  |

Converts the input pdf to PDF/UA, will auto-gen required structure analysis JSON, requires DataExtractionModule (with Doc Structure engine) to be properly configured.

Parameters

  src_file | The path to the PDF file to convert.
  dest_file | The path to output the converted file.

Note
  This function is experimental and is subject to change.

void pdftron::PDF::PDFUA::PDFUAConformance::AutoConvert | ( | const UString & | src_file,
|  | const UString & | dest_file,
|  | const PDFUAOptions & | options
| ) |  |

Converts the input pdf to PDF/UA, will auto-gen required structure analysis JSON, requires DataExtractionModule (with Doc Structure engine) to be properly configured.

Parameters

  src_file | The path to the PDF file to convert.
  dest_file | The path to output the converted file.
  options | The options to use when converting/validating, see PDFUAOptions for details.

Note
  This function is experimental and is subject to change.

static PDFUAConformance* pdftron::PDF::PDFUA::PDFUAConformance::CreateInternal | ( | ptrdiff_t | impl | ) |
| static

void pdftron::PDF::PDFUA::PDFUAConformance::Destroy | ( |  | ) |

ptrdiff_t pdftron::PDF::PDFUA::PDFUAConformance::GetHandleInternal | ( |  | ) |

PDFUAConformance& pdftron::PDF::PDFUA::PDFUAConformance::operator= | ( | const PDFUAConformance & | other | ) |

## Member Data Documentation

TRN_PDFUAConformance pdftron::PDF::PDFUA::PDFUAConformance::m_impl

Definition at line 63 of file PDFUAConformance.h.

The documentation for this class was generated from the following file:

- PDF/PDFUA/PDFUAConformance.h